> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.finput.com.au/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.finput.com.au/_mcp/server.

# List products

GET https://api.finput.com.au/api/v1/products

Returns all products, optionally filtered by organisation.

Reference: https://docs.finput.com.au/api/endpoints/products/list-products

## Authentication

- `Authorization` header (bearer token, required) — JWT access token obtained from `POST /api/v1/auth/login`, or a `finput_sk_...` API token

## Request

### Query parameters

- `organisation_id` (integer, optional) — Filter products by organisation ID

## Response

### 200

List of products

- `list of Product`

## Types

### Product

- `id` (integer, optional)
- `product_name` (string, optional)
- `organisation_id` (integer, optional, nullable) — ID of the owning organisation
- `min_range` (integer, optional, nullable) — Minimum loan term (months)
- `max_range` (integer, optional, nullable) — Maximum loan term (months)
- `min_amount` (float, optional, nullable) — Minimum loan amount ($)
- `max_amount` (float, optional, nullable) — Maximum loan amount ($)
- `min_abn_age` (integer, optional, nullable) — Minimum ABN age (months)
- `max_abn_age` (integer, optional, nullable)
- `min_asset_age` (integer, optional, nullable) — Minimum asset age (months)
- `max_asset_age` (integer, optional, nullable)
- `min_gst_age` (integer, optional, nullable) — Minimum GST registration age (months)
- `max_gst_age` (integer, optional, nullable)
- `min_asset_age_plus_term` (integer, optional, nullable)
- `max_asset_age_plus_term` (integer, optional, nullable)
- `min_credit_score` (integer, optional, nullable)
- `max_credit_score` (integer, optional, nullable)
- `monthly_fee` (float, optional, nullable)
- `documentation_fee` (float, optional, nullable)
- `brokerage_cap` (float, optional, nullable) — Maximum brokerage percentage
- `maximum_brokerage_limit` (float, optional, nullable) — Maximum brokerage dollar amount
- `compounding_frequency` (enum, optional) — Compounding frequency: - `w` - Weekly - `m` - Monthly - `q` - Quarterly - `y` - Yearly
  - Allowed values: `w`, `m`, `q`, `y`
- `brokerage_loading_treatment` (float, optional, nullable)
- `max_origination_fee_limit` (float, optional, nullable)
- `doc_fee_financed` (enum, optional) — Tri-state choice for product/rate bracket feature flags
  - Allowed values: `yes`, `no`, `both`
- `private_sale` (enum, optional) — Tri-state choice for product/rate bracket feature flags
  - Allowed values: `yes`, `no`, `both`
- `sale_hire_back` (enum, optional) — Tri-state choice for product/rate bracket feature flags
  - Allowed values: `yes`, `no`, `both`
- `home_owner` (enum, optional) — Tri-state choice for product/rate bracket feature flags
  - Allowed values: `yes`, `no`, `both`
- `created_at` (datetime, optional)
- `updated_at` (datetime, optional)

## Examples

**Response**

```json
[
  {
    "id": 1,
    "product_name": "string",
    "organisation_id": 1,
    "min_range": 1,
    "max_range": 1,
    "min_amount": 1.1,
    "max_amount": 1.1,
    "min_abn_age": 1,
    "max_abn_age": 1,
    "min_asset_age": 1,
    "max_asset_age": 1,
    "min_gst_age": 1,
    "max_gst_age": 1,
    "min_asset_age_plus_term": 1,
    "max_asset_age_plus_term": 1,
    "min_credit_score": 1,
    "max_credit_score": 1,
    "monthly_fee": 1.1,
    "documentation_fee": 1.1,
    "brokerage_cap": 1.1,
    "maximum_brokerage_limit": 1.1,
    "compounding_frequency": "w",
    "brokerage_loading_treatment": 1.1,
    "max_origination_fee_limit": 1.1,
    "doc_fee_financed": "yes",
    "private_sale": "yes",
    "sale_hire_back": "yes",
    "home_owner": "yes",
    "created_at": "2024-01-15T09:30:00Z",
    "updated_at": "2024-01-15T09:30:00Z"
  }
]
```

**SDK Code**

```python
import requests

url = "https://api.finput.com.au/api/v1/products"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.finput.com.au/api/v1/products';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.finput.com.au/api/v1/products"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.finput.com.au/api/v1/products")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.finput.com.au/api/v1/products")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.finput.com.au/api/v1/products', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.finput.com.au/api/v1/products");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.finput.com.au/api/v1/products")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```